# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
name = "awkrs"
version = "0.4.0"
build = false
exclude = [
    "parity",
    ".github",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Awk implementation in Rust with broad CLI compatibility, parallel records, and experimental Cranelift JIT"
readme = "README.md"
keywords = [
    "awk",
    "cli",
    "text-processing",
]
categories = [
    "command-line-utilities",
    "parser-implementations",
]
license = "MIT"
repository = "https://github.com/MenkeTechnologies/awkrs"

[lib]
name = "awkrs"
path = "src/lib.rs"

[[bin]]
name = "aw"
path = "src/bin/ars.rs"

[[bin]]
name = "awkrs"
path = "src/main.rs"

[[test]]
name = "batch_integration"
path = "tests/batch_integration.rs"

[[test]]
name = "common"
path = "tests/common.rs"

[[test]]
name = "extra_integration"
path = "tests/extra_integration.rs"

[[test]]
name = "integration"
path = "tests/integration.rs"

[[test]]
name = "more_integration"
path = "tests/more_integration.rs"

[[test]]
name = "new_features_integration"
path = "tests/new_features_integration.rs"

[dependencies.bincode]
version = "1.3"

[dependencies.chrono]
version = "0.4"

[dependencies.clap]
version = "4.5"
features = [
    "derive",
    "cargo",
    "env",
]

[dependencies.cranelift-codegen]
version = "0.130.0"

[dependencies.cranelift-frontend]
version = "0.130.0"

[dependencies.cranelift-jit]
version = "0.130.0"

[dependencies.cranelift-module]
version = "0.130.0"

[dependencies.cranelift-native]
version = "0.130.0"

[dependencies.dirs]
version = "5"

[dependencies.fusevm]
version = "0.12.1"
features = ["jit"]

[dependencies.gettext]
version = "0.4"

[dependencies.gmp-mpfr-sys]
version = "1.7"

[dependencies.libc]
version = "0.2"

[dependencies.memchr]
version = "2.7"

[dependencies.memmap2]
version = "0.9"

[dependencies.nix]
version = "0.29"
features = ["fs"]

[dependencies.once_cell]
version = "1"

[dependencies.parking_lot]
version = "0.12"

[dependencies.rayon]
version = "1.10"

[dependencies.regex]
version = "1.10"

[dependencies.rug]
version = "1.29.0"

[dependencies.rustc-hash]
version = "2.1"

[dependencies.serde]
version = "1"
features = ["derive"]

[dependencies.socket2]
version = "0.5"

[dependencies.target-lexicon]
version = "0.13.5"

[dependencies.thiserror]
version = "2.0"

[dependencies.walkdir]
version = "2.5"

[dev-dependencies.tempfile]
version = "3"

[lints.rust.unexpected_cfgs]
level = "warn"
priority = 0
check-cfg = ['cfg(target_os, values("vms"))']
